/***************************************************************************
 *   NGT (Neopontec Gaming Toolkit		      			   *
 *   Distributed under the terms of the GNU LGPL License		   *
 *   Copyright (C) 2005 by Hector Blanco de Frutos                         *
 *   hectorblanco@neopontec.com                                            *
 *   Refer to the LICENSE file to read the full license agreement          *
 ***************************************************************************/
 
 #include "video_fonts.h"
 
 void NGT_Font::draw(string text, SDL_Surface *surf, int draw_x, int draw_y){
 	NGT_Surface textsurface;
 	
 	switch (mode){
 	
 		case TEXT_NONE:
 			textsurface.surface = TTF_RenderText_Solid(font,text.c_str(),color);
 			break;
 			
 		case TEXT_BLENDED:
 			textsurface.surface = TTF_RenderText_Blended(font,text.c_str(),color);
 			break;	
 		
 	}

    textsurface.x=draw_x;
    textsurface.y=draw_y;
    textsurface.draw(surf);
    textsurface.free();
     	
 }
 
 
  void NGT_Font::draw(string text, SDL_Surface *scr){
 	NGT_Surface textsurface;
 	
 		if (font == NULL){
 			printf("*NGT_Font.draw: ERROR drawing. A font was not loaded previously\n");	
 		}
 		
 	switch (mode){
 	
 		case TEXT_NONE:
 			textsurface.surface=TTF_RenderText_Solid(font,text.c_str(),color);
 			break;
 			
 		case TEXT_BLENDED:
 			textsurface.surface=TTF_RenderText_Blended(font,text.c_str(),color);
 			break;	
 		
 	}

    textsurface.x=x;
    textsurface.y=y;
    textsurface.draw(scr);
    textsurface.free();
 	
 }

int NGT_Font::LoadTTF(){
	LoadTTF(filename, size);
	
	return 0;
}

 int NGT_Font::LoadTTF(string f_filename, int f_size){
	// Check if a font is loaded, to free unnecesary memory
	
	// If file cant be load, close the app
	if(fopen(f_filename.c_str(),"r")==NULL){
		printf("*NGT_Font.LoadTTF: ERROR Loading the TTF file: '%s'\n",f_filename.c_str());
		return(1);
	}else{
		// Load the desired TTF Font
		font=TTF_OpenFont(f_filename.c_str(), f_size);
		printf("*NGT_Font.LoadTTF: Loaded the TTF file: '%s'\n",f_filename.c_str());
		return(0);
	}
 	
 } 
 
